Name:		olpc-runin-tests
Version:	0.22.3
Release:	1%{?dist}
Summary:	OLPC run-in tests

Group:		System Environment/Base
License:	MIT/BSD+condition
Source0:	runin.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:	memtester, xterm, wireless-tools, python, pygtk2

# Don't make debug pkgs, don't strip the forth binary
%define debug_package %{nil}
%define __strip /bin/true

%description
OLPC run-in manufacturing tests.

%prep
%setup -c -n runin_src


%build


%install
rm -rf $RPM_BUILD_ROOT
%{__install} -D -m 0644 runin.service $RPM_BUILD_ROOT/%{_unitdir}/runin.service
%{__install} -D -m 0644 runin-check.service $RPM_BUILD_ROOT/%{_unitdir}/runin-check.service
%{__install} -D -m 0755 runin-check	$RPM_BUILD_ROOT/runin/runin-check
%{__install} -D -m 0644 runin.target $RPM_BUILD_ROOT/%{_unitdir}/runin.target
%{__install} -D -m 0755 runin-battery	$RPM_BUILD_ROOT/runin/runin-battery
%{__install} -D -m 0755 runin-camera	$RPM_BUILD_ROOT/runin/runin-camera
%{__install} -D -m 0755 runin-common	$RPM_BUILD_ROOT/runin/runin-common
%{__install} -D -m 0755 runin-cpu_temp	$RPM_BUILD_ROOT/runin/runin-cpu_temp
%{__install} -D -m 0755 runin-fscheck	$RPM_BUILD_ROOT/runin/runin-fscheck
%{__install} -D -m 0755 runin-main 	$RPM_BUILD_ROOT/runin/runin-main
%{__install} -D -m 0755 runin-memory	$RPM_BUILD_ROOT/runin/runin-memory
%{__install} -D -m 0755 runin-sdwrite	$RPM_BUILD_ROOT/runin/runin-sdwrite
%{__install} -D -m 0755 runin-sus	$RPM_BUILD_ROOT/runin/runin-sus
%{__install} -D -m 0755 runin-tests	$RPM_BUILD_ROOT/runin/runin-tests
%{__install} -D -m 0755 runin-wlan	$RPM_BUILD_ROOT/runin/runin-wlan
%{__install} -D -m 0755 final.fth	$RPM_BUILD_ROOT/runin/final.fth
%{__install} -D -m 0755 runin-gtk       $RPM_BUILD_ROOT/runin/runin-gtk
%{__install} -D -m 0755 runin-sound       $RPM_BUILD_ROOT/runin/runin-sound
%ifarch %{arm}
%{__install} -D -m 0755 runin-accelerometer $RPM_BUILD_ROOT/runin/runin-accelerometer
%{__install} -D -m 0755 sdkit-arm/forth $RPM_BUILD_ROOT/runin/sdkit-arm/forth
%{__install} -D -m 0755 sdkit-arm/mmap.fth $RPM_BUILD_ROOT/runin/sdkit-arm/mmap.fth
%{__install} -D -m 0755 sdkit-arm/prefw.dic $RPM_BUILD_ROOT/runin/sdkit-arm/prefw.dic
%{__install} -D -m 0755 sdkit-arm/tools.dic $RPM_BUILD_ROOT/runin/sdkit-arm/tools.dic
%{__install} -D -m 0755 sdkit-arm/temperature.fth $RPM_BUILD_ROOT/runin/sdkit-arm/temperature.fth
%{__install} -D -m 0755 sdkit-arm/temperature.sh $RPM_BUILD_ROOT/runin/sdkit-arm/temperature.sh
%{__install} -D -m 0755 sdkit-arm/gpio.fth $RPM_BUILD_ROOT/runin/sdkit-arm/gpio.fth
%{__install} -D -m 0755 sdkit-arm/mfpr.fth $RPM_BUILD_ROOT/runin/sdkit-arm/mfpr.fth
%{__install} -D -m 0755 sdkit-arm/sdkit.sh $RPM_BUILD_ROOT/runin/sdkit-arm/sdkit.sh
%{__install} -D -m 0755 sdkit-arm/sdkit.fth $RPM_BUILD_ROOT/runin/sdkit-arm/sdkit.fth
%{__install} -D -m 0755 sdkit-arm/smbus.fth $RPM_BUILD_ROOT/runin/sdkit-arm/smbus.fth
%{__install} -D -m 0755 sdkit-arm/camera-test.fth $RPM_BUILD_ROOT/runin/sdkit-arm/camera-test.fth
%{__install} -D -m 0755 sdkit-arm/twsi.fth $RPM_BUILD_ROOT/runin/sdkit-arm/twsi.fth
%{__install} -D -m 0755 sdkit-arm/accelerometer.fth $RPM_BUILD_ROOT/runin/sdkit-arm/accelerometer.fth
%{__install} -D -m 0755 sdkit-arm/watchdog.fth $RPM_BUILD_ROOT/runin/sdkit-arm/watchdog.fth
%{__install} -D -m 0755 sdkit-arm/watchdog $RPM_BUILD_ROOT/runin/sdkit-arm/watchdog
%{__install} -D -m 0755 sdkit-arm/showicu.fth $RPM_BUILD_ROOT/runin/sdkit-arm/showicu.fth
%{__install} -D -m 0755 sdkit-arm/showpmu.fth $RPM_BUILD_ROOT/runin/sdkit-arm/showpmu.fth
%endif
%{__install} -D -m 0755 runin-nosleep $RPM_BUILD_ROOT/runin/runin-nosleep
%{__install} -D -m 0755 runin-bluetooth $RPM_BUILD_ROOT/runin/runin-bluetooth

%post
if [ $1 == 1 ]; then
    # initial install
    /bin/systemctl preset runin-check.service
fi
%preun

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_unitdir}/*
/runin/runin-battery
/runin/runin-camera
/runin/runin-common
/runin/runin-check
/runin/runin-cpu_temp
/runin/runin-fscheck
/runin/runin-main
/runin/runin-memory
/runin/runin-sdwrite
/runin/runin-sus
/runin/runin-tests
/runin/runin-wlan
/runin/final.fth
/runin/runin-gtk
/runin/runin-sound
%ifarch %{arm}
/runin/runin-accelerometer
/runin/sdkit-arm/forth
/runin/sdkit-arm/mmap.fth
/runin/sdkit-arm/prefw.dic
/runin/sdkit-arm/tools.dic
/runin/sdkit-arm/temperature.fth
/runin/sdkit-arm/temperature.sh
/runin/sdkit-arm/gpio.fth
/runin/sdkit-arm/mfpr.fth
/runin/sdkit-arm/sdkit.sh
/runin/sdkit-arm/sdkit.fth
/runin/sdkit-arm/smbus.fth
/runin/sdkit-arm/camera-test.fth
/runin/sdkit-arm/twsi.fth
/runin/sdkit-arm/accelerometer.fth
/runin/sdkit-arm/watchdog.fth
/runin/sdkit-arm/watchdog
/runin/sdkit-arm/showicu.fth
/runin/sdkit-arm/showpmu.fth
%endif
/runin/runin-nosleep
/runin/runin-bluetooth

%changelog
